> For the complete documentation index, see [llms.txt](https://docs.fuksus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuksus.com/fuksus-crafting/configuration/general-config.md).

# General config

{% hint style="warning" %}
If you use **ox\_inventory** we strongly recommend changing **Config.imageLocation** to **nui://ox\_inventory/web/images/**
{% endhint %}

**shared/config.lua**

```lua
Config = {}

Config.locale = 'en'
Config.drawDistance = 30.0 -- For object
Config.markerDistance = 5.0 -- For marker

Config.imageLocation = '../../images/'

Config.exp = {
    exponent = 1.3, -- How much xp next level requires, levels xp is calculated by this formula basexp * (level ^ exponent)
    basexp = 1250, -- How much xp is need for the firts level
    addXpForCraft = 100 -- This is default value to add xp after crafting you can change each recipes value in the config
}

Config.saveTime = 15 -- How often save players xp and level in minutes

Config.marker = {
    type = 0,
    scale = {
        x = 0.5,
        y = 0.5,
        z = 0.5
    },
    color = { r = 0, g = 255, b = 0, a = 100 },
    offset = {
        x = 0.0,
        y = 0.0,
        z = 0.5
    },
    face = true,
    bobUpDown = true,
    spin = false
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fuksus.com/fuksus-crafting/configuration/general-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
